Crypto++ 8.9 Free C++ class library of cryptographic schemes

Public Member Functions | Static Public Member Functions | List of all members
Tiger Class Reference

Tiger message digest. More...

Inheritance diagram for Tiger:

## Public Member Functions
std::string | AlgorithmProvider () const
void | TruncatedFinal (byte *digest, size_t digestSize)
| Computes the hash of the current message. More...
Public Member Functions inherited from IteratedHashWithStaticTransform< word64, LittleEndian, 64, 24, Tiger >
unsigned int | DigestSize () const
| Provides the digest size of the hash. More...
Public Member Functions inherited from ClonableImpl< DERIVED, BASE >
Clonable * | Clone () const
| Create a copy of this object. More...

## Static Public Member Functions
static const char * | StaticAlgorithmName ()
static void | InitState (HashWordType *state)
| Initialize state array. More...
static void | Transform (word64 *digest, const word64 *data)
| Operate the hash. More...

## Additional Inherited Members
Static Public Attributes inherited from IteratedHashWithStaticTransform< word64, LittleEndian, 64, 24, Tiger >
static const int | DIGESTSIZE

## Detailed Description

Tiger message digest.

Crypto++ provides the original Tiger hash that was submitted to the NESSIE project. The implementation is different from the revised Tiger2 hash.

See also
  Tiger and Tiger: A Fast New Cryptographic Hash Function

Since
  Crypto++ 2.1

Definition at line 35 of file tiger.h.

## Member Function Documentation

## ◆ InitState()

void Tiger::InitState | ( | HashWordType * | state | ) |
| static

Initialize state array.

Parameters

  state | the state of the hash

Definition at line 30 of file tiger.cpp.

## ◆ Transform()

void Tiger::Transform | ( | word64 * | digest,
|  | const word64 * | data
| ) |  |
| static

Operate the hash.

Parameters

  digest | the state of the hash
  data | the data to be digested

Definition at line 54 of file tiger.cpp.

## ◆ TruncatedFinal()

void Tiger::TruncatedFinal | ( | byte * | digest,
|  | size_t | digestSize
| ) |  |

Computes the hash of the current message.

Parameters

  digest | a pointer to the buffer to receive the hash
  digestSize | the size of the truncated digest, in bytes

TruncatedFinal() calls Final() and then copies digestSize bytes to digest. The hash is restarted the hash for the next message.

Definition at line 37 of file tiger.cpp.

The documentation for this class was generated from the following files:

- tiger.h
- tiger.cpp
- tigertab.cpp